Package org.apache.wiki.spi

## Class ContextSPIDefaultImpl

- java.lang.Object
- - org.apache.wiki.spi.ContextSPIDefaultImpl

All Implemented Interfaces:
  `ContextSPI`

    public class ContextSPIDefaultImpl
    extends java.lang.Object
    implements ContextSPI

Default implementation for `ContextSPI`

See Also:
  `ContextSPI`

### Constructor Summary

Constructors
`ContextSPIDefaultImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Context` `create​(Engine engine, javax.servlet.http.HttpServletRequest request, java.lang.String requestContext)`
`Context` `create​(Engine engine, javax.servlet.http.HttpServletRequest request, Command command)`
`Context` `create​(Engine engine, javax.servlet.http.HttpServletRequest request, Page page)`
`Context` `create​(Engine engine, Page page)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextSPIDefaultImpl

    public ContextSPIDefaultImpl()

### Method Detail

#### create

    public Context create​(Engine engine,
                          Page page)

Specified by:
  `create` in interface `ContextSPI`

#### create

    public Context create​(Engine engine,
                          javax.servlet.http.HttpServletRequest request,
                          Command command)

Specified by:
  `create` in interface `ContextSPI`

#### create

    public Context create​(Engine engine,
                          javax.servlet.http.HttpServletRequest request,
                          Page page)

Specified by:
  `create` in interface `ContextSPI`

#### create

    public Context create​(Engine engine,
                          javax.servlet.http.HttpServletRequest request,
                          java.lang.String requestContext)

Specified by:
  `create` in interface `ContextSPI`